# Uses of Class
org.springframework.beans.factory.support.BeanDefinitionDefaults

Packages that use BeanDefinitionDefaults
Package
Description
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of BeanDefinitionDefaults in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support with parameters of type BeanDefinitionDefaults
Modifier and Type
Method
Description
`void`
AbstractBeanDefinition.`applyDefaults(BeanDefinitionDefaults defaults)`
Apply the provided default values to this bean.

## Uses of BeanDefinitionDefaults in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml that return BeanDefinitionDefaults
Modifier and Type
Method
Description
`BeanDefinitionDefaults`
BeanDefinitionParserDelegate.`getBeanDefinitionDefaults()`
Return the default settings for bean definitions as indicated within the attributes of the top-level `<beans/>` element.